En Laragon, después de cambiar el PHP de la version 7.x a la 8.x me da el siguiente error al iniciarlo:

2022] [mpm_winnt:notice] [pid 24676:tid 692] AH00354: Child: Starting 64 worker threads.
[Tue Apr 05 08:30:09.492299 2022] [mpm_winnt:notice] [pid 8256:tid 456] AH00364: Child: All worker threads have exited.
[Tue Apr 05 08:30:13.284665 2022] [mpm_winnt:notice] [pid 19668:tid 448] AH00424: Parent: Received restart signal -- Restarting the server.
httpd: Syntax error on line 548 of D:/laragon/bin/apache/httpd-2.4.35-win64-VC15/conf/httpd.conf: Syntax error on line 2 of D:/laragon/etc/apache2/mod_php.conf: Can't locate API module structure `php8_module' in file D:/laragon/bin/php/php-8.1.3-Win32-vs16-x64/php8apache2_4.dll: No error
[Tue Apr 05 08:30:15.311976 2022] [mpm_winnt:notice] [pid 24676:tid 692] AH00364: Child: All worker threads have exited.

Al parecer Laragon no esta generando correctamente los archivos de configuración de apache por lo que no es compatible aun con PHP 8 del todo. Pero este error se puede solucionar muy fácil.

Suponiendo que tenemos Laragon instalado en la unidad "D:/" (en mi caso), vamos a la siguiente carpeta y editamos el archivo "mod_php.conf"

 D:\laragon\etc\apache2\mod_php.conf

Ahora cambiamos la Linea 2 y para modificar lo siguiente:

-- LoadModule php8_module
++ LoadModule php_module 

Quedando así:

# This file is auto-generated, so please keep it intact.
LoadModule php_module "D:/laragon/bin/php/php-8.1.3-Win32-vs16-x64/php8apache2_4.dll"
PHPIniDir "D:/laragon/bin/php/php-8.1.3-Win32-vs16-x64"
<IfModule mime_module>
    AddType application/x-httpd-php .php
</IfModule>

Ahora solo queda reiniciar apache y ya debería de funcionar.

Ten en cuenta que como estos archivos son automaticamente generados por Laragon, a la hora de cambiar el "Document Root" o la version de apache, este volvera a fallar y tendremos que volver a modificarlo. Esto seguira asi hasta que Laragon saque un nueva version reparando este error pero parece que el desarrollo esta un poco paralizado.